## Class Auth_OpenID_AX_FetchRequest

Description

An attribute exchange 'fetch_request' message. This message is sent by a relying party when it wishes to obtain attributes about the subject of an OpenID authentication request.

Located in /Auth/OpenID/AX.php (line 268)

    Auth_OpenID_Extension
       |
       --Auth_OpenID_AX_Message
          |
          --Auth_OpenID_AX_FetchRequest

Variable Summary
mixed $mode
Method Summary
Auth_OpenID_AX_FetchRequest Auth_OpenID_AX_FetchRequest ([ $update_url = null])
true add (attribute: $attribute)
void contains ( $type_uri)
mixed &fromOpenIDRequest (request: $request)
Auth_OpenID_AX_FetchRequest getExtensionArgs ()
A getRequiredAttrs ()
void iterAttrs ()
void iterTypes ()
$result parseExtensionArgs ( $ax_args)
Variables
mixed $mode = 'fetch_request' (line 270)

Redefinition of:

Auth_OpenID_AX_Message::$mode
  mode: The type of this attribute exchange message. This must be overridden in subclasses.

#### Inherited Variables

Inherited from Auth_OpenID_AX_Message

> Auth_OpenID_AX_Message::$ns_alias
> Auth_OpenID_AX_Message::$ns_uri

Methods
Constructor Auth_OpenID_AX_FetchRequest (line 272)
Auth_OpenID_AX_FetchRequest Auth_OpenID_AX_FetchRequest ([ $update_url = null])

- $update_url

add (line 295)

Add an attribute to this attribute exchange request.

- return: on success, false when the requested attribute is already present in this fetch request.

true add (attribute: $attribute)

- attribute: $attribute: The attribute that is being requested

contains (line 528)

Is the given type URI present in this fetch_request?

void contains ( $type_uri)

- $type_uri

fromOpenIDRequest (line 389)

Extract a FetchRequest from an OpenID message

- return: An Auth_OpenID_AX_Error or the Auth_OpenID_AX_FetchRequest extracted from the request message if successful

mixed &fromOpenIDRequest (request: $request)

- request: $request: The OpenID request containing the attribute fetch request

getExtensionArgs (line 313)

Get the serialized form of this attribute fetch request.

- return: The fetch request message parameters

Auth_OpenID_AX_FetchRequest getExtensionArgs ()

Redefinition of:

Auth_OpenID_Extension::getExtensionArgs()
  Get the string arguments that should be added to an OpenID message for this extension.

getRequiredAttrs (line 367)

Get the type URIs for all attributes that have been marked as required.

- return: list of the type URIs for attributes that have been marked as required.

A getRequiredAttrs ()
iterAttrs (line 515)

Iterate over the AttrInfo objects that are contained in this fetch_request.

void iterAttrs ()
iterTypes (line 520)
void iterTypes ()
parseExtensionArgs (line 432)

Given attribute exchange arguments, populate this FetchRequest.

- return: Auth_OpenID_AX_Error if the data to be parsed does not follow the attribute exchange specification. At least when 'if_available' or 'required' is not specified for a particular attribute type. Returns true otherwise.

$result parseExtensionArgs ( $ax_args)

- $ax_args

#### Inherited Methods

Inherited From Auth_OpenID_Extension

> Auth_OpenID_Extension::getExtensionArgs()
> Auth_OpenID_Extension::toMessage()

Documentation generated on Tue, 21 Apr 2009 11:31:29 -0700 by phpDocumentor 1.3.2